Bug 254004 - Xserver consumes CPU time and hangs/freeze the desktop
Xserver consumes CPU time and hangs/freeze the desktop
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i386 Linux
urgent Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 268261
  Show dependency treegraph
 
Reported: 2007-08-23 11:55 EDT by Thomas Steudten
Modified: 2008-01-13 13:18 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-13 13:18:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Steudten 2007-08-23 11:55:30 EDT
kernel: 2.6.22.1-41.self.fc7
xorg-x11-server-Xorg-1.3.0.0-9.fc7
 rpm -qf /usr/lib/libglib-1.2.so.0.0.10
glib-1.2.10-26.fc7

Xserver freezes/ blocks - no kill possible, only reboot. 
Reproduce by starting Xorg, activate screensaver ant (openGL) and write to the
screen (osd).
See oprofile log below.


samples  %        image name               app name                 symbol name
332305   73.5105  libglib-1.2.so.0.0.10    libglib-1.2.so.0.0.10    (no symbols)
18305     4.0493  libmpg123.so             libmpg123.so             (no symbols)
15760     3.4863  oprofiled                oprofiled                (no symbols)
15364     3.3987  opreport                 opreport                 (no symbols)
13002     2.8762  drm.ko                   drm                      drm_notifier
9675      2.1402  libasound.so.2.0.0       libasound.so.2.0.0       (no symbols)
9042      2.0002  libstereo.so             libstereo.so             (no symbols)
7120      1.5750  libstdc++.so.6.0.8       libstdc++.so.6.0.8       (no symbols)
2986      0.6605  oprofile.ko              oprofile                 sync_buffer
2590      0.5729  skype                    skype                    (no symbols)
1866      0.4128  libc-2.6.so              libc-2.6.so              _IO_vfscanf
1594      0.3526  libc-2.6.so              libc-2.6.so              memcpy
1477      0.3267  libALSA.so               libALSA.so               (no symbols)
1256      0.2778  libc-2.6.so              libc-2.6.so              _int_malloc
1125      0.2489  oprofile.ko              oprofile                 add_event_entry

-----
samples  cum. samples  %        cum. %     image name               app name   
             symbol name
793358   793358        73.2992  73.2992    libglib-1.2.so.0.0.10   
libglib-1.2.so.0.0.10    (no symbols)
42691    836049         3.9443  77.2434    libmpg123.so             libmpg123.so
            (no symbols)
37064    873113         3.4244  80.6678    oprofiled                oprofiled  
             (no symbols)
35012    908125         3.2348  83.9026    opreport                 opreport   
             (no symbols)
30326    938451         2.8019  86.7045    drm.ko                   drm        
             drm_notifier
23244    961695         2.1475  88.8520    libasound.so.2.0.0      
libasound.so.2.0.0       (no symbols)
22460    984155         2.0751  90.9271    libstdc++.so.6.0.8      
libstdc++.so.6.0.8       (no symbols)
21123    1005278        1.9516  92.8787    libstereo.so             libstereo.so
            (no symbols)
7087     1012365        0.6548  93.5335    oprofile.ko              oprofile   
             sync_buffer



amples  %        linenr info                 image name               app name 
               symbol name
000108f0 1041244  63.5192  glist.c:450                 libglib-1.2.so.0.0.10   
libglib-1.2.so.0.0.10    g_list_last
  000108f0 88        0.0085  glist.c:450
  000108f1 40        0.0038  glist.c:450
  000108f8 1        9.6e-05  glist.c:451
  00010900 91744     8.8110  glist.c:453
  00010902 17118     1.6440  glist.c:453
  00010905 843725   81.0305  glist.c:453
  00010907 88517     8.5011  glist.c:453
  0001090a 11        0.0011  glist.c:458


  PID USER      NI  VIRT SWAP  RES WCHAN     S   TIME %CPU COMMAND             
                     
 2884 root       0  329m 302m  26m -         R 137:01 96.9 /usr/bin/Xorg :0
-auth /var/gdm/:0.Xauth vt


glxinfo -display :0.0
name of display: :0.0
display: :0  screen: 0
direct rendering: Yes
server glx vendor string: SGI
server glx version string: 1.2
server glx extensions:
    GLX_ARB_multisample, GLX_EXT_import_context, GLX_EXT_texture_from_pixmap, 
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_copy_sub_buffer, 
    GLX_OML_swap_method, GLX_SGI_make_current_read, GLX_SGI_swap_control, 
    GLX_SGIS_multisample, GLX_SGIX_fbconfig, GLX_SGIX_visual_select_group
client glx vendor string: SGI
client glx version string: 1.4
client glx extensions:
    GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_import_context, 
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_allocate_memory, 
    GLX_MESA_copy_sub_buffer, GLX_MESA_swap_control, 
    GLX_MESA_swap_frame_usage, GLX_OML_swap_method, GLX_OML_sync_control, 
    GLX_SGI_make_current_read, GLX_SGI_swap_control, GLX_SGI_video_sync, 
    GLX_SGIS_multisample, GLX_SGIX_fbconfig, GLX_SGIX_pbuffer, 
    GLX_SGIX_visual_select_group, GLX_EXT_texture_from_pixmap
GLX version: 1.2
GLX extensions:
    GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_import_context, 
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_copy_sub_buffer, 
    GLX_MESA_swap_control, GLX_MESA_swap_frame_usage, GLX_OML_swap_method, 
    GLX_SGI_make_current_read, GLX_SGI_swap_control, GLX_SGI_video_sync, 
    GLX_SGIS_multisample, GLX_SGIX_fbconfig, GLX_SGIX_visual_select_group
OpenGL vendor string: Tungsten Graphics, Inc.
OpenGL renderer string: Mesa DRI R300 20060815 x86/MMX/SSE2 TCL
OpenGL version string: 1.3 Mesa 6.5.2
OpenGL extensions:
    GL_ARB_fragment_program, GL_ARB_imaging, GL_ARB_multisample, 
    GL_ARB_multitexture, GL_ARB_texture_border_clamp, 
    GL_ARB_texture_compression, GL_ARB_texture_cube_map, 
    GL_ARB_texture_env_add, GL_ARB_texture_env_combine, 
    GL_ARB_texture_env_crossbar, GL_ARB_texture_env_dot3, 
    GL_MESAX_texture_float, GL_ARB_texture_mirrored_repeat, 
    GL_ARB_texture_rectangle, GL_ARB_transpose_matrix, 
    GL_ARB_vertex_buffer_object, GL_ARB_vertex_program, GL_ARB_window_pos, 
    GL_EXT_abgr, GL_EXT_bgra, GL_EXT_blend_color, 
    GL_EXT_blend_equation_separate, GL_EXT_blend_func_separate, 
    GL_EXT_blend_minmax, GL_EXT_blend_subtract, GL_EXT_clip_volume_hint, 
    GL_EXT_compiled_vertex_array, GL_EXT_convolution, GL_EXT_copy_texture, 
    GL_EXT_draw_range_elements, GL_EXT_gpu_program_parameters, 
    GL_EXT_histogram, GL_EXT_packed_pixels, GL_EXT_polygon_offset, 
    GL_EXT_rescale_normal, GL_EXT_secondary_color, 
    GL_EXT_separate_specular_color, GL_EXT_stencil_wrap, GL_EXT_subtexture, 
    GL_EXT_texture, GL_EXT_texture3D, GL_EXT_texture_edge_clamp, 
    GL_EXT_texture_env_add, GL_EXT_texture_env_combine, 
    GL_EXT_texture_env_dot3, GL_EXT_texture_filter_anisotropic, 
    GL_EXT_texture_lod_bias, GL_EXT_texture_mirror_clamp, 
    GL_EXT_texture_object, GL_EXT_texture_rectangle, GL_EXT_vertex_array, 
    GL_APPLE_packed_pixels, GL_ATI_blend_equation_separate, 
    GL_ATI_texture_env_combine3, GL_ATI_texture_mirror_once, 
    GL_IBM_rasterpos_clip, GL_IBM_texture_mirrored_repeat, 
    GL_INGR_blend_func_separate, GL_MESA_pack_invert, GL_MESA_ycbcr_texture, 
    GL_MESA_window_pos, GL_NV_blend_square, GL_NV_light_max_exponent, 
    GL_NV_texture_rectangle, GL_NV_texgen_reflection, GL_NV_vertex_program, 
    GL_OES_read_format, GL_SGI_color_matrix, GL_SGI_color_table, 
    GL_SGIS_generate_mipmap, GL_SGIS_texture_border_clamp, 
    GL_SGIS_texture_edge_clamp, GL_SGIS_texture_lod

   visual  x  bf lv rg d st colorbuffer ax dp st accumbuffer  ms  cav
 id dep cl sp sz l  ci b ro  r  g  b  a bf th cl  r  g  b  a ns b eat
----------------------------------------------------------------------
0x23 24 tc  0 32  0 r  y  .  8  8  8  8  0 24  8  0  0  0  0  0 0 None
0x24 24 tc  0 32  0 r  y  .  8  8  8  8  0 24  0  0  0  0  0  0 0 None
0x25 24 tc  0 32  0 r  y  .  8  8  8  8  0 24  8 16 16 16 16  0 0 Slow
0x26 24 tc  0 32  0 r  y  .  8  8  8  8  0 24  0 16 16 16 16  0 0 Slow
0x27 24 tc  0 32  0 r  .  .  8  8  8  8  0 24  8  0  0  0  0  0 0 None
0x28 24 tc  0 32  0 r  .  .  8  8  8  8  0 24  0  0  0  0  0  0 0 None
0x29 24 tc  0 32  0 r  .  .  8  8  8  8  0 24  8 16 16 16 16  0 0 Slow
0x2a 24 tc  0 32  0 r  .  .  8  8  8  8  0 24  0 16 16 16 16  0 0 Slow
0x2b 24 dc  0 32  0 r  y  .  8  8  8  8  0 24  8  0  0  0  0  0 0 None
0x2c 24 dc  0 32  0 r  y  .  8  8  8  8  0 24  0  0  0  0  0  0 0 None
0x2d 24 dc  0 32  0 r  y  .  8  8  8  8  0 24  8 16 16 16 16  0 0 Slow
0x2e 24 dc  0 32  0 r  y  .  8  8  8  8  0 24  0 16 16 16 16  0 0 Slow
0x2f 24 dc  0 32  0 r  .  .  8  8  8  8  0 24  8  0  0  0  0  0 0 None
0x30 24 dc  0 32  0 r  .  .  8  8  8  8  0 24  0  0  0  0  0  0 0 None
0x31 24 dc  0 32  0 r  .  .  8  8  8  8  0 24  8 16 16 16 16  0 0 Slow
0x32 24 dc  0 32  0 r  .  .  8  8  8  8  0 24  0 16 16 16 16  0 0 Slow
0x4b 32 tc  0 32  0 r  .  .  8  8  8  8  0  0  0  0  0  0  0  0 0 Ncon
Comment 1 Rex Dieter 2007-08-23 12:00:45 EDT
Can you provide steps to reproduce the problem?
Comment 2 Rex Dieter 2007-08-23 12:07:51 EDT
Regardless, be aware that glib is pretty much a legacy-only package at this
point, and unless patches are provided for concrete identifiable problems, not
much will happen wrt this report here.

Your best chance of seeing action would be to report this upstream to
bugzilla.gnome.org, and if movement happens there, fixes will propogate
downstream back to fedora.
Comment 3 Thomas Steudten 2007-08-30 14:09:25 EDT
I can still reproduce this, but then the system hangs - I will open a new bug
for this.

Seems that is not a glib problem, instead one of dri/drm and radeon kernel module.

1620449  57.9631  radeon.ko                radeon                  
radeon_do_wait_for_idle
  1620449  100.000  radeon.ko                radeon                  
radeon_do_wait_for_idle [self]
-------------------------------------------------------------------------------
  738648   100.000  libglib-1.2.so.0.0.10    libglib-1.2.so.0.0.10    g_list_append
716942   25.6448  libglib-1.2.so.0.0.10    libglib-1.2.so.0.0.10    g_list_last
  716942   100.000  libglib-1.2.so.0.0.10    libglib-1.2.so.0.0.10   
g_list_last [self]

Counted CPU_CLK_UNHALTED events (clocks processor is not halted) with a unit
mask of 0x00 (No unit mask) count 100000
vma      samples  %        linenr info                 image name              
app name                 symbol name
00000b9e 1477676  60.1263  radeon_cp.c:917             radeon.ko               
radeon                   radeon_do_wait_for_idle
  00000b9f 37        0.0025  (no location information)
  00000ba1 5        3.4e-04  radeon_cp.c:917
  00000baa 715       0.0484  (no location information)
  00000bb0 1546      0.1046  (no location information)
  00000bb3 1936      0.1310  (no location information)
  00000bb9 1466676  99.2556  (no location information)
  00000bbc 98        0.0066  (no location information)
  00000bbf 249       0.0169  (no location information)
  00000bc1 145       0.0098  (no location information)
  00000bc7 1        6.8e-05  (no location information)
  00000bcc 5679      0.3843  (no location information)
  00000bcf 587       0.0397  (no location information)
  00000c05 1        6.8e-05  radeon_cp.c:926
  00000c0b 1        6.8e-05  radeon_cp.c:940
000108f0 634062   25.7998  glist.c:450                 libglib-1.2.so.0.0.10   
libglib-1.2.so.0.0.10    g_list_last
  000108f0 79        0.0125  glist.c:450
  000108f1 64        0.0101  glist.c:450
  000108f6 1        1.6e-04  glist.c:451
  00010900 60547     9.5491  glist.c:453
  00010902 11071     1.7460  glist.c:453
  00010905 502077   79.1842  glist.c:453
  00010907 60201     9.4945  glist.c:453
  0001090a 22        0.0035  glist.c:458

ATI_M24.txt 
01:00.0 VGA compatible controller: ATI Technologies Inc M24 1P [Radeon Mobility
X600] (prog-if 00 [VGA])
        Subsystem: Samsung Electronics Co Ltd Unknown device c018
        Flags: bus master, fast devsel, latency 0, IRQ 16
        Memory at d0000000 (32-bit, prefetchable) [size=128M]
        I/O ports at 3000 [size=256]
        Memory at c0100000 (32-bit, non-prefetchable) [size=64K]
        [virtual] Expansion ROM at c0120000 [disabled] [size=128K]
        Capabilities: [50] Power Management version 2
        Capabilities: [58] Express Endpoint IRQ 0
        Capabilities: [80] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0
Enable-
        Capabilities: [100] Advanced Error Reporting


filename:       /lib/modules/2.6.22.1-41.self.fc7/kernel/drivers/char/drm/radeon.ko
license:        GPL and additional rights
description:    ATI Radeon
author:         Gareth Hughes, Keith Whitwell, others.
srcversion:     599338B4A8E964DAA8797A8
depends:        drm
vermagic:       2.6.22.1-41.self.fc7 mod_unload PENTIUMM 4KSTACKS 
parm:           no_wb:Disable AGP writeback for scratch registers
Comment 4 Rex Dieter 2007-08-30 14:18:22 EDT
OK, reassigning to kernel, but good luck with that, since you seem to be using a
non-stock kernel.
Comment 5 Thomas Steudten 2007-09-01 04:00:42 EDT
> since you seem to be using a non-stock kernel.
Just using or disabling, what it is there for configuration - nothing else.
No changes for DRM/DRI so this will be happen with the stock kernel, too - maybe
a timing problem, but this is also a kernel problem.
Comment 6 Christopher Brown 2007-09-27 15:30:05 EDT
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.
Comment 7 Christopher Brown 2008-01-13 13:18:18 EST
As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

Note You need to log in before you can comment on or make changes to this bug.